Subject: bug#70440: [PATCH] Use -P switch when calling 'python-interpreter'

From: Augusto Stoffel <[email-masked]>
Date: Fri, 19 Apr 2024 20:02:16 +0200

On Fri, 19 Apr 2024 at 20:31, Eli Zaretskii wrote:

>> Let me make sure we're on the same page that this affects only
>> couple of handy but by no means essential commands that add or remove
>> import statements.  Nobody _needs_ this to write Python code.
>
> That's not relevant.  The important part is that if we accept your
> proposal, users who have Python that doesn't support -P will be unable
> to invoke Python even if their Python programs don't use the
> problematic features.

That's a misunderstanding.  My patch only affects the following
commands:

  python-sort-imports
  python-add-import
  python-fix-imports
  python-remove-import
  python-import-symbol-at-point

There's no change in any customization option or in the way Python is
invoked for any other purpose.  Of course it would be unreasonable to
change the way other Python subprocesses are invoked.